%define Name xml-common
%define Version 0.1
 
Name            : %{Name}
Version         : %{Version}     

Summary: Common XML catalog and DTD files
Release: 3mdk
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: Publishing 
PreReq: sgml-common
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch

%define sgmlbase %{_datadir}/sgml

%description
Xml-common is a collection of entities and dtds that are useful for
XML processing, but shouldn't need to be included in multiple packages.
It also includes an up-to-date Open Catalog file.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/%{sgmlbase}/xml-iso-entities-8879.1986
mkdir -p %{buildroot}/%{_sysconfdir}/sgml
install ent/*.ent %{buildroot}%{sgmlbase}/xml-iso-entities-8879.1986
install ent/catalog %{buildroot}%{sgmlbase}/xml-iso-entities-8879.1986
install config/* %{buildroot}/%{_sysconfdir}/sgml/

%files
%defattr (0644,root,root,0755)
%attr(0644,root,root) %config (noreplace) %{_sysconfdir}/sgml/xml.conf
%dir %{sgmlbase}/xml-iso-entities-8879.1986/
%{sgmlbase}/xml-iso-entities-8879.1986/*

%clean
rm -rf %{buildroot}

%Post
for centralized in `find /etc/sgml/ -name "xml-*.cat" -type f`; do
    %{_bindir}/install-catalog --remove $centralized %{sgmlbase}/xml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
    %{_bindir}/install-catalog --add $centralized %{sgmlbase}/xml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
done


%Postun 
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    for centralized in `find /etc/sgml/ -name "xml-*.cat" -type f`; do
	%{_bindir}/install-catalog --remove $centralized %{sgmlbase}/xml-iso-entities-8879.1986/catalog > /dev/null 2>/dev/null
    done 
fi

%changelog
* Wed Mar 14 2001 Camille Begnis <camille@mandrakesoft.com> 0.1-3mdk
- Redirect install-catalog output to /dev/null

* Wed Jan 10 2001 Camille Begnis <camille@mandrakesoft.com> 0.1-2mdk
- add BuildArch: noarch
- add catalog management
- change sgml-common to PreReq

* Tue Dec 5 2000 Camille Bgnis <camille@mandrakesoft.com> 0.1-1mdk
- remove translations in spec

* Sat Sep 30 2000 Jorge Godoy <godoy@conectiva.com>
- Created package based on sgml-common
